/*------------------------------------*\
    $MENU TOGGLE
\*------------------------------------*/
%menu-toggle {
  @include f8-btn--reset;
  @include u-fc--link-states--primary;
  position: absolute;
  top: 20px;
  right: 40px;
  display: none;
  font-size: px-to-rem($fs-h3);

  &:before {
    content: '';
    display: block;
    height: 1.5em;
    right: 50%;
    position: absolute;
    top: 50%;
    transform: translate3d(-50%, -50%, 0);
    width: 1.5em;
    z-index: -1;
  }

  @include keyboard-focus-only() {
    &:before {
      outline: 1px dotted var(--struct-clr-primary-dk);
    }
  }

  @include media-query(portable) {
    display: inline-block;
    right: 22px;
  }
}

// Hamburger menu animates to an X
// ref: https://codepen.io/Bilal1909/pen/KKdrmRP
%menu-hamburger {
  top: 22px;
  right: -14px;
  transform: translate(-50%, -50%);
  position: absolute;
  width: 40px;

  &:before,
  &:after,
  & div {
    background: var(--struct-clr-primary);
    content: "";
    display: block;
    height: 3px;
    margin: 9px 0;
    transition: 0.5s;
  }
}
%menu-X {
  &:before {
    transform: translateY(12px) rotate(135deg);
  }
  &:after {
    transform: translateY(-12px) rotate(-135deg);
  }
  & div {
    transform: scale(0);
  }
}

.menu-toggle {
  @extend %menu-toggle;

  & > div.menu-closed {
    @extend %menu-hamburger;
  }

  & > div.menu-open {
    @extend %menu-hamburger;
    @extend %menu-X;
  }
}
